#!/bin/bash
set -e
AGGREGATOR_PATH=git://git.eclipse.org/gitroot/platform/eclipse.platform.releng.aggregator.git
TAG=I20160419-0800

rm -rf R4_platform-aggregator-$TAG
rm -rf R4_platform-aggregator-$TAG.tar.xz

git clone --depth 1 --branch $TAG  $AGGREGATOR_PATH R4_platform-aggregator-$TAG

pushd R4_platform-aggregator-$TAG

git submodule init
git submodule update

rm -rf production streams scripts

# Comment this line to get a shallow clone.
find . -type d -name ".git" | xargs rm -rf

# Delete pre-built binary artifacts except some test data that cannot be generated
find . ! -path "*/JCL/*" ! -name "rtstubs*.jar" \
   -type f -name *.jar -delete
find . -type f -name *.class -delete
find . -type f -name *.so -delete
find . -type f -name *.dll -delete
find . -type f -name *.jnilib -delete
# Remove pre-compiled native launchers
rm -rf rt.equinox.binaries/org.eclipse.equinox.executable/{bin,contributed}/

popd 

tar cJf R4_platform-aggregator-$TAG.tar.xz R4_platform-aggregator-$TAG
